Compare commits

...

4 Commits

  1. 16
      README.md

16
README.md

@ -13,8 +13,8 @@ dependencies. This package requires two underlying packages. Those are
`python-magic`, and `pillow`. Here are the installation documentation for those
packages:
* https://github.com/threatstack/libmagic
* https://pillow.readthedocs.io/en/5.3.x/installation.html#external-libraries
* [github.com/threatstack/libmagic](https://github.com/threatstack/libmagic)
* [pillow.readthedocs.io](https://pillow.readthedocs.io/en/5.3.x/installation.html#external-libraries)
## Installation
@ -28,6 +28,16 @@ Using [--user] or [a virtual environment] is recommended:
$ pip install --user distribusi
```
Note: check if the path of your local bin is added to your shell path (otherwise you cannot run distribusi from the shell directly).
To check where distribusi is installed:
$ find * | grep distribusi
Add local bin to the $PATH variable:
$ PATH=$PATH:/home/USERNAME/.local/bin/
## Usage
Get help with:
@ -81,6 +91,8 @@ $ pipenv run distribusi --help
## Release It
You'll need a [PyPi](https://pypi.org/) account and to be added as a maintainer.
```
$ make publish
```

Loading…
Cancel
Save